org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_LISTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_LISTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_LISTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_LISTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_LISTNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_LISTNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindBackgrounddesign(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindEnablebusyindicator(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindFootertext(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindGrowing(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindGrowingscrolltoload(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindGrowingthreshold(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindGrowingtriggertext(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindHeadertext(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindIncludeiteminselection(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindInset(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindListmode(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindModeanimationon(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindNodatatext(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindShownodata(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindShowseparators(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindShowunread(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_LISTNode` | `setActionListener(java.lang.String value)`
    `UI5M_LISTNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_LISTNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_LISTNode` | `setBackgrounddesign(java.lang.String value)`
    `UI5M_LISTNode` | `setComment(java.lang.String value)`
    `UI5M_LISTNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_LISTNode` | `setEnablebusyindicator(java.lang.String value)`
    `UI5M_LISTNode` | `setFootertext(java.lang.String value)`
    `UI5M_LISTNode` | `setGrowing(java.lang.String value)`
    `UI5M_LISTNode` | `setGrowingscrolltoload(java.lang.String value)`
    `UI5M_LISTNode` | `setGrowingthreshold(java.lang.String value)`
    `UI5M_LISTNode` | `setGrowingtriggertext(java.lang.String value)`
    `UI5M_LISTNode` | `setHeadertext(java.lang.String value)`
    `UI5M_LISTNode` | `setId(java.lang.String value)`
    `UI5M_LISTNode` | `setIncludeiteminselection(java.lang.String value)`
    `UI5M_LISTNode` | `setInset(boolean value)`
    `UI5M_LISTNode` | `setInset(java.lang.String value)`
    `UI5M_LISTNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_LISTNode` | `setListmode(java.lang.String value)`
    `UI5M_LISTNode` | `setModeanimationon(java.lang.String value)`
    `UI5M_LISTNode` | `setNodatatext(java.lang.String value)`
    `UI5M_LISTNode` | `setReference(java.lang.String value)`
    `UI5M_LISTNode` | `setRendered(boolean value)`
    `UI5M_LISTNode` | `setRendered(java.lang.String value)`
    `UI5M_LISTNode` | `setShownodata(java.lang.String value)`
    `UI5M_LISTNode` | `setShowseparators(java.lang.String value)`
    `UI5M_LISTNode` | `setShowunread(java.lang.String value)`
    `UI5M_LISTNode` | `setStyleseq(java.lang.String value)`
    `UI5M_LISTNode` | `setStylevariant(java.lang.String value)`
    `UI5M_LISTNode` | `setWidth(int value)`
    `UI5M_LISTNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_LISTNode

          public UI5M_LISTNode()

  - ### Method Detail

    - #### setId

          public UI5M_LISTNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_LISTNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_LISTNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_LISTNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_LISTNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_LISTNode setAttributemacro(java.lang.String value)

    - #### setBackgrounddesign

          public UI5M_LISTNode setBackgrounddesign(java.lang.String value)

    - #### bindBackgrounddesign

          public UI5M_LISTNode bindBackgrounddesign(IDynamicContentBindingObject value)

    - #### setComment

          public UI5M_LISTNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_LISTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_LISTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_LISTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnablebusyindicator

          public UI5M_LISTNode setEnablebusyindicator(java.lang.String value)

    - #### bindEnablebusyindicator

          public UI5M_LISTNode bindEnablebusyindicator(IDynamicContentBindingObject value)

    - #### setFootertext

          public UI5M_LISTNode setFootertext(java.lang.String value)

    - #### bindFootertext

          public UI5M_LISTNode bindFootertext(IDynamicContentBindingObject value)

    - #### setGrowing

          public UI5M_LISTNode setGrowing(java.lang.String value)

    - #### bindGrowing

          public UI5M_LISTNode bindGrowing(IDynamicContentBindingObject value)

    - #### setGrowingscrolltoload

          public UI5M_LISTNode setGrowingscrolltoload(java.lang.String value)

    - #### bindGrowingscrolltoload

          public UI5M_LISTNode bindGrowingscrolltoload(IDynamicContentBindingObject value)

    - #### setGrowingthreshold

          public UI5M_LISTNode setGrowingthreshold(java.lang.String value)

    - #### bindGrowingthreshold

          public UI5M_LISTNode bindGrowingthreshold(IDynamicContentBindingObject value)

    - #### setGrowingtriggertext

          public UI5M_LISTNode setGrowingtriggertext(java.lang.String value)

    - #### bindGrowingtriggertext

          public UI5M_LISTNode bindGrowingtriggertext(IDynamicContentBindingObject value)

    - #### setHeadertext

          public UI5M_LISTNode setHeadertext(java.lang.String value)

    - #### bindHeadertext

          public UI5M_LISTNode bindHeadertext(IDynamicContentBindingObject value)

    - #### setIncludeiteminselection

          public UI5M_LISTNode setIncludeiteminselection(java.lang.String value)

    - #### bindIncludeiteminselection

          public UI5M_LISTNode bindIncludeiteminselection(IDynamicContentBindingObject value)

    - #### setInset

          public UI5M_LISTNode setInset(java.lang.String value)

    - #### bindInset

          public UI5M_LISTNode bindInset(IDynamicContentBindingObject value)

    - #### setInset

          public UI5M_LISTNode setInset(boolean value)

    - #### setLayoutdata

          public UI5M_LISTNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_LISTNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setListmode

          public UI5M_LISTNode setListmode(java.lang.String value)

    - #### bindListmode

          public UI5M_LISTNode bindListmode(IDynamicContentBindingObject value)

    - #### setModeanimationon

          public UI5M_LISTNode setModeanimationon(java.lang.String value)

    - #### bindModeanimationon

          public UI5M_LISTNode bindModeanimationon(IDynamicContentBindingObject value)

    - #### setNodatatext

          public UI5M_LISTNode setNodatatext(java.lang.String value)

    - #### bindNodatatext

          public UI5M_LISTNode bindNodatatext(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_LISTNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_LISTNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_LISTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_LISTNode setRendered(boolean value)

    - #### setShownodata

          public UI5M_LISTNode setShownodata(java.lang.String value)

    - #### bindShownodata

          public UI5M_LISTNode bindShownodata(IDynamicContentBindingObject value)

    - #### setShowseparators

          public UI5M_LISTNode setShowseparators(java.lang.String value)

    - #### bindShowseparators

          public UI5M_LISTNode bindShowseparators(IDynamicContentBindingObject value)

    - #### setShowunread

          public UI5M_LISTNode setShowunread(java.lang.String value)

    - #### bindShowunread

          public UI5M_LISTNode bindShowunread(IDynamicContentBindingObject value)

    - #### setStyleseq

          public UI5M_LISTNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_LISTNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_LISTNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_LISTNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_LISTNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_LISTNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_LISTNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.